@mixin for-size($size) {
    @if $size ==phone-only {
        @media (max-width: 599px) {
            @content;
        }
    }

        @else if $size ==before-tablet-portrait {
            @media (max-width: 960px) {
                @content;
            }
        }
        
        @else if $size ==tablet-portrait-up {
        @media (min-width: 600px) {
            @content;
        }
    }
}
// scss-docs-start container-max-widths
$container-max-widths: (
    xxl: 1440px) !default;

$yellow: #ED952B !default;
$blue: #0075FF !default;
$grey-darker:#204166 !default;
$off-white: #F0F3F7 !default;
$grey-dark: #5C7899 !default;
$warning-hover: #D4801C;

// Import all of Bootstrap's CSS

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;700&display=swap');

@import "~bootstrap/scss/bootstrap";
body,
html{
    font-family: 'Inter';
    line-height: 1.25;
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

header,
footer {
    height: 95px;
}

header {
    background-color: $white;
}

footer {
    background-color: $grey-darker;

    p,
    a {
        font-size: 1rem;
        color: $off-white;
    }
}
.bg-off-white{
    background-color: $off-white;
}

.btn{
    color: $off-white;
    background-color: $yellow;
    font-size: 1rem;
    line-height: 1;
    .btn-text-white {
        color: $white;
    }
    &:hover{
        color: $white;
        background-color: $warning-hover;
    }
}
h1{
    color: $blue;
    font-weight: 700;
    font-size: 2.75rem;
    font-weight: 700;

    @include for-size(phone-only) {
        font-size: 2rem;
    }
}
h2 {
    font-weight: 700;
    font-size: 2.25rem;
    font-weight: 700;
    color: $off-white;

    @include for-size(before-tablet-portrait) {
        font-size: 1.75rem;
        margin-top: 30px;
    }
}

p {
    font-weight: 300;
    font-size: 1rem;
    color: $grey-dark;
}

.bg-blue{
    background-color: $blue;

    h1, p{
        color: $off-white;
    }

    .blue-block-item{
        justify-content: space-between;
        height: 100vh;
        align-items: center;

        &.block-reverse{
            flex-direction: row-reverse;

            @include for-size(before-tablet-portrait) {
                flex-direction: column;
            }
        }

        @include for-size(before-tablet-portrait) {
            flex-direction: column;
            height: auto;

            img {
                margin-top: 60px;
            }
            
            &:last-child p{
                margin-bottom: 70px;
            }
        }
    }
}

.scroll-snap{
    overflow-y: scroll;
    height: 100vh;
    scroll-snap-type: mandatory;
    scroll-snap-points-y: repeat(100vh);
    scroll-snap-type: y mandatory;

    & .block {
        height: 100vh;
        scroll-snap-align: start;
    }
}